[Qa-jenkins-scm] [jenkins.debian.net] 02/03: diffoscope distribution tests: add tests for FreeBSD, NetBSD and MacPorts
Holger Levsen
holger at layer-acht.org
Mon Apr 25 13:47:28 UTC 2016
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit de6c5412941a5945af9f7176595632499a983c81
Author: Holger Levsen <holger at layer-acht.org>
Date: Mon Apr 25 15:37:45 2016 +0200
diffoscope distribution tests: add tests for FreeBSD, NetBSD and MacPorts
---
bin/diffoscope_distribution_test.sh | 29 +++++++++++++++++++++++++----
job-cfg/reproducible.yaml | 15 +++++++++++++--
update_jdn.sh | 3 ++-
3 files changed, 40 insertions(+), 7 deletions(-)
diff --git a/bin/diffoscope_distribution_test.sh b/bin/diffoscope_distribution_test.sh
index cbb7207..722e430 100755
--- a/bin/diffoscope_distribution_test.sh
+++ b/bin/diffoscope_distribution_test.sh
@@ -30,15 +30,38 @@ check_pypi() {
fi
}
+check_whohas() {
+ # the following is "broken" as sort doesn't do proper version comparison
+ DIFFOSCOPE_IN_WHOHAS=$(whohas -d $DISTRIBUTION diffoscope | awk '{print $3}' | sort -u | tail -1)
+ echo
+ echo
+ if [ "$DIFFOSCOPE_IN_DEBIAN" = "$DIFFOSCOPE_IN_WHOHAS" ] ; then
+ echo "Yay. diffoscope in Debian has the same version as $DISTRIBUTION has: $DIFFOSCOPE_IN_DEBIAN"
+ elif dpkg --compare-versions "$DIFFOSCOPE_IN_DEBIAN" gt "$DIFFOSCOPE_IN_WHOHAS" ; then
+ echo "Fail: diffoscope in Debian: $DIFFOSCOPE_IN_DEBIAN"
+ echo "Fail: diffoscope in $DISTRIBUTION: $DIFFOSCOPE_IN_WHOHAS"
+ exit 1
+ else
+ echo "diffoscope in Debian: $DIFFOSCOPE_IN_DEBIAN"
+ echo "diffoscope in $DISTRIBUTION: $DIFFOSCOPE_IN_WHOHAS"
+ echo
+ echo "Failure is the default action…"
+ exit 1
+ fi
+}
+
+
#
# main
#
DIFFOSCOPE_IN_DEBIAN=$(rmadison diffoscope|egrep '(unstable|sid)'| awk '{print $3}' || true)
case $1 in
- pypi)
+ PyPI) check_pypi
+ ;;
+ FreeBSD|NetBSD|MacPorts)
DISTRIBUTION=$1
- check_pypi
+ check_whohas
;;
*)
echo "Unsupported distribution."
@@ -46,5 +69,3 @@ case $1 in
;;
esac
-
-
diff --git a/job-cfg/reproducible.yaml b/job-cfg/reproducible.yaml
index dacf995..ea0ef6e 100644
--- a/job-cfg/reproducible.yaml
+++ b/job-cfg/reproducible.yaml
@@ -464,8 +464,19 @@
- 'diffoscope_pypi':
my_description: 'Test whether PyPI has the latest diffoscope.'
my_timed: '23 23 * * *'
- my_shell: '/srv/jenkins/bin/diffoscope_distribution_test.sh pypi'
-
+ my_shell: '/srv/jenkins/bin/diffoscope_distribution_test.sh PyPI'
+ - 'diffoscope_freebsd':
+ my_description: 'Test whether FreeBSD has the latest diffoscope.'
+ my_timed: '25 23 1 * *'
+ my_shell: '/srv/jenkins/bin/diffoscope_distribution_test.sh FreeBSD'
+ - 'diffoscope_netbsd':
+ my_description: 'Test whether NetBSD has the latest diffoscope.'
+ my_timed: '27 23 1 * *'
+ my_shell: '/srv/jenkins/bin/diffoscope_distribution_test.sh NetBSD'
+ - 'diffoscope_macports':
+ my_description: 'Test whether MacPorts has the latest diffoscope.'
+ my_timed: '29 23 1 * *'
+ my_shell: '/srv/jenkins/bin/diffoscope_distribution_test.sh MacPorts'
my_shellext: ".sh"
my_shell: '/srv/jenkins/bin/reproducible_{my_task}{my_shellext}'
my_hname: ''
diff --git a/update_jdn.sh b/update_jdn.sh
index 0ab3227..83bcd95 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -323,7 +323,8 @@ if [ -f /etc/debian_version ] ; then
unclutter
virt-viewer
vncsnapshot
- vnstat
+ vnstat
+ whohas
x11-apps
x11vnc
xtightvncviewer
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list